defmodule Bump.Messages do
  alias Bump.Database
  alias Bump.Firebase

  def pop(sender) do
       Database.pop(sender)
  end

  def peek(sender) do
    Database.peek(sender)
  end

  def list(sender, minutes) do
    Database.list(sender, minutes)
  end

  def clear(sender) do
    Database.clear(sender)
  end

  def push(sender, message) do
    Database.push(sender, message)
    Firebase.push(sender, message)
  end


end
